%global vimfiles %{_datadir}/vim/vimfiles

Name:           nerdtree
Version:        4.2.0
Release:        %mkrel 5
Summary:        A tree explorer plugin for the editor Vim
Group:          Development/Tools

License:        WTFPL
URL:            http://www.vim.org/scripts/script.php?script_id=1658
Source0:        https://github.com/scrooloose/%{name}/tarball/%{version}
Patch0:         vim-%{name}-Deactivating-folds-in-NERDtree-buffer.patch

Requires:       vim-common
Requires(post): vim
Requires(postun): vim

BuildArch:      noarch

%description
The NERD tree allows you to explore your filesystem and to open files and
directories. It presents the filesystem to you in the form of a tree which
you manipulate with the keyboard and/or mouse. It also allows you
to perform simple filesystem operations.

%prep
%setup -q -n scrooloose-%{name}-205367a
%autopatch -p1

%build


%install
mkdir -p %{buildroot}%{vimfiles}
cp -ar {doc,nerdtree_plugin,plugin,syntax} %{buildroot}%{vimfiles}

%post
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles}/doc/tags
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null


%files
%doc README.markdown
%doc %{vimfiles}/doc/*
%{vimfiles}/nerdtree_plugin/
%{vimfiles}/plugin/*
%{vimfiles}/syntax/*




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 4.2.0-5.mga6
+ Revision: 939935
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2.0-4.mga5
+ Revision: 745782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.0-3.mga5
+ Revision: 682835
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.2.0-2.mga4
+ Revision: 523230
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 matteo <matteo> 4.2.0-1.mga3
+ Revision: 406764
- import Fedora package


* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Till Maas <opensource@till.name> - 4.2.0-8
- Update summary (#891122)

* Fri Aug 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-7
- Fixed the Deactivating folds patch to apply cleanly.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-5
- Add the missing Group tag.

* Mon Apr 16 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-4
- Applied upstream patch as requested in RHBZ #812360.
- Add post and postun Requires: vim (to generate helptags properly).

* Thu Jan 26 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-3
- Added %%preun and %%postun to properly re-generate vim doc tags.

* Wed Jan 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-2
- Fixed issues from the review request (RHBZ #784021).

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-1
- Initial package.
